<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
  xmlns:app="http://schemas.android.com/apk/res-auto">

  <data>

    <variable
      name="model"
      type="com.commonsware.jetpack.samplerj.nav.ToDoModel" />

    <variable
      name="createdOnFormatted"
      type="java.lang.CharSequence" />

    <import type="android.view.View" />
  </data>

  <androidx.constraintlayout.widget.ConstraintLayout
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <ImageView
      android:id="@+id/completed"
      android:layout_width="@dimen/checked_icon_size"
      android:layout_height="@dimen/checked_icon_size"
      android:layout_marginEnd="8dp"
      android:layout_marginTop="8dp"
      android:contentDescription="@string/is_completed"
      android:src="@drawable/ic_check_circle_black_24dp"
      android:tint="@color/colorAccent"
      android:visibility="@{model.isCompleted ? View.VISIBLE : View.GONE}"
      app:layout_constraintEnd_toEndOf="parent"
      app:layout_constraintTop_toTopOf="parent" />

    <TextView
      android:id="@+id/desc"
      android:layout_width="0dp"
      android:layout_height="wrap_content"
      android:layout_marginEnd="8dp"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@{model.description}"
      android:textSize="@dimen/desc_view_size"
      android:textStyle="bold"
      app:layout_constraintEnd_toStartOf="@+id/completed"
      app:layout_constraintStart_toStartOf="parent"
      app:layout_constraintTop_toTopOf="parent" />

    <TextView
      android:id="@+id/label_created"
      android:layout_width="wrap_content"
      android:layout_height="wrap_content"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@string/created_on"
      android:textSize="@dimen/created_on_size"
      app:layout_constraintStart_toStartOf="parent"
      app:layout_constraintTop_toBottomOf="@+id/desc" />

    <TextView
      android:id="@+id/created_on"
      android:layout_width="0dp"
      android:layout_height="wrap_content"
      android:layout_marginEnd="8dp"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@{createdOnFormatted}"
      app:layout_constraintEnd_toStartOf="@+id/completed"
      app:layout_constraintStart_toEndOf="@+id/label_created"
      app:layout_constraintTop_toBottomOf="@+id/desc" />

    <TextView
      android:id="@+id/notes"
      android:layout_width="0dp"
      android:layout_height="0dp"
      android:layout_marginBottom="8dp"
      android:layout_marginEnd="8dp"
      android:layout_marginStart="8dp"
      android:layout_marginTop="8dp"
      android:text="@{model.notes}"
      android:textSize="@dimen/notes_size"
      app:layout_constraintBottom_toBottomOf="parent"
      app:layout_constraintEnd_toEndOf="parent"
      app:layout_constraintStart_toStartOf="parent"
      app:layout_constraintTop_toBottomOf="@+id/label_created" />

  </androidx.constraintlayout.widget.ConstraintLayout>
</layout>